Imports Sample_VolaSmsPlus_VB.Vola.VolaSmsPlus

Public Class frmCredit

    Private Sub lnkVola_LinkClicked(ByVal sender As System.Object, ByVal e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) Handles lnkVola.LinkClicked
        'Apre una shell del browser con il sito di Vola
        System.Diagnostics.Process.Start(Vola.VolaSmsPlus.VolaConstant.LinkHomePage)
    End Sub

    Private Sub lnkSupporto_LinkClicked(ByVal sender As System.Object, ByVal e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) Handles lnkSupporto.LinkClicked
        'Apre una shell del browser con il sito di Vola
        System.Diagnostics.Process.Start(Vola.VolaSmsPlus.VolaConstant.LinkSupport)
    End Sub

    Private Sub lnkLicenza_LinkClicked(ByVal sender As System.Object, ByVal e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) Handles lnkLicenza.LinkClicked
        Try
            'Apre una shell del blocco di testo con la licenza
            Dim sPathUpdate As String = Application.StartupPath + "\..\..\Licenza\gplv3-it-final.pdf"

            Dim proc As New System.Diagnostics.Process()
            proc.EnableRaisingEvents = False
            proc.StartInfo.FileName = sPathUpdate
            proc.StartInfo.WindowStyle = System.Diagnostics.ProcessWindowStyle.Maximized
            proc.Start()
        Catch ex As Exception
            MessageBox.Show(ex.Message, "Sample VolaSmsPlus", MessageBoxButtons.OK, MessageBoxIcon.Information)
        End Try
    End Sub

    Private Sub cmdClose_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdClose.Click
        Me.Close()
    End Sub

    Private Sub CmdInfo_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CmdInfo.Click


        Try
            Dim Volasms As New Vola.VolaSmsPlus.VolaSmsPlus()

            'Inizializzo il componente con le propriet di autenticazione
            Volasms.UserName = txtUsername.Text
            Volasms.Password = txtPassword.Text
            Volasms.VapCode = ""

            'Inizializzo il componente con le propriet di connessione
            Volasms.AutomaticProxy = True
            Volasms.EncryptSSL = True

            'Riceve il credito
            Dim credito As String = Volasms.GetCreditSMS()
            MessageBox.Show("Il credito residuo : " & credito, "Sample VolaSmsPlus", MessageBoxButtons.OK, MessageBoxIcon.Information)

        Catch ex As VolaException
            MessageBox.Show(("Errore libreria Vola: " & ex.Codice & vbCr & vbLf & vbCr & vbLf) + ex.Messaggio, "Sample VolaSmsPlus", MessageBoxButtons.OK, MessageBoxIcon.Information)
        Catch ex As Exception
            MessageBox.Show(ex.Message, "Sample VolaSmsPlus", MessageBoxButtons.OK, MessageBoxIcon.Information)
        End Try


    End Sub

    Private Sub cmdInformazioni_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdInformazioni.Click


        Try
            Dim Volasms As New Vola.VolaSmsPlus.VolaSmsPlus()

            'Inizializzo il componente con le propriet di autenticazione
            Volasms.UserName = txtUsername.Text
            Volasms.Password = txtPassword.Text
            Volasms.VapCode = ""

            'Inizializzo il componente con le propriet di connessione
            Volasms.AutomaticProxy = True
            Volasms.EncryptSSL = True

            'Riceve le informazioni utente
            Dim profilo As VolaProfiloUtente = Volasms.GetProfile()
            MessageBox.Show("Il profilo utente  : " & profilo.profilo, "Sample VolaSmsPlus", MessageBoxButtons.OK, MessageBoxIcon.Information)

            'a questo punto  possibile leggere pure le altre informazioni utente
        Catch ex As VolaException
            MessageBox.Show(("Errore libreria Vola: " & ex.Codice & vbCr & vbLf & vbCr & vbLf) + ex.Messaggio, "Sample VolaSmsPlus", MessageBoxButtons.OK, MessageBoxIcon.Information)
        Catch ex As Exception
            MessageBox.Show(ex.Message, "Sample VolaSmsPlus", MessageBoxButtons.OK, MessageBoxIcon.Information)
        End Try


    End Sub
End Class