Imports Sample_VolaSmsPlus_VB.Vola.VolaSmsPlus

Public Class frmStatusSMS

    Private Sub lnkVola_LinkClicked(ByVal sender As System.Object, ByVal e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) Handles lnkVola.LinkClicked
        'Apre una shell del browser con il sito di Vola
        System.Diagnostics.Process.Start(Vola.VolaSmsPlus.VolaConstant.LinkHomePage)
    End Sub

    Private Sub lnkSupporto_LinkClicked(ByVal sender As System.Object, ByVal e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) Handles lnkSupporto.LinkClicked
        'Apre una shell del browser con il sito di Vola
        System.Diagnostics.Process.Start(Vola.VolaSmsPlus.VolaConstant.LinkSupport)
    End Sub

    Private Sub lnkLicenza_LinkClicked(ByVal sender As System.Object, ByVal e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) Handles lnkLicenza.LinkClicked
        Try
            'Apre una shell del blocco di testo con la licenza
            Dim sPathUpdate As String = Application.StartupPath + "\..\..\Licenza\gplv3-it-final.pdf"

            Dim proc As New System.Diagnostics.Process()
            proc.EnableRaisingEvents = False
            proc.StartInfo.FileName = sPathUpdate
            proc.StartInfo.WindowStyle = System.Diagnostics.ProcessWindowStyle.Maximized
            proc.Start()
        Catch ex As Exception
            MessageBox.Show(ex.Message, "Sample VolaSmsPlus", MessageBoxButtons.OK, MessageBoxIcon.Information)
        End Try
    End Sub

    Private Sub cmdClose_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdClose.Click
        Me.Close()
    End Sub

    Private Sub cmdStatus_Click(ByVal sender As Object, ByVal e As EventArgs) Handles cmdStatus.Click
        Try
            Dim sMessage As String
            If txtOrderid.Text.Length = 0 Then
                MessageBox.Show("Inserire codice orderid di cui verificare lo stato di notifica", "Sample VolaSmsPlus", MessageBoxButtons.OK, MessageBoxIcon.Information)
                Exit Sub
            End If

            Dim Volasms As New Vola.VolaSmsPlus.VolaSmsPlus()

            'Inizializzo il componente con le propriet di autenticazione
            Volasms.UserName = txtUsername.Text
            Volasms.Password = txtPassword.Text
            Volasms.VapCode = ""

            'Inizializzo il componente con le propriet di connessione
            Volasms.AutomaticProxy = True
            Volasms.EncryptSSL = True

            Volasms.ClearMessageToNotify()

            'Aggiungo il messaggio alla lista, se il destinatario non  specficato
            'leggo lo stato di tutti i destinatari nel gruppo di invio
            Dim Messaggio As Vola.VolaSmsPlus.VolaMessaggio = Volasms.AddMessageToNotify(txtOrderid.Text, txtMsdn.Text)
            If Messaggio Is Nothing Then
                sMessage = "Orderid non inserito correttamente nella lista dei messaggi da verificare lo stato di notifica."
                MessageBox.Show(sMessage, "Sample VolaSmsPlus", MessageBoxButtons.OK, MessageBoxIcon.[Error])
                Exit Sub
            End If
            Dim Msdn As Vola.VolaSmsPlus.VolaMsdn = DirectCast(Messaggio.listaDestinatari(0), Vola.VolaSmsPlus.VolaMsdn)
            If Msdn.status <> Vola.VolaSmsPlus.VolaMsdnStatus.MSDN_INLIST Then
                sMessage = "Orderid non inserito correttamente nella lista dei messaggi da verificare lo stato di notifica."
                MessageBox.Show(sMessage, "Sample VolaSmsPlus", MessageBoxButtons.OK, MessageBoxIcon.[Error])
                Exit Sub
            End If

            'E' possibile aggiungere pi messaggi in modo che con una chimata ottenere pi informazioni possibili
            'Il numero massimo  1000

            'Prima di inviare controllo lo stato della lista
            If Volasms.CountMessageToNotify() <= 0 Then
                sMessage = "Impossibile continuare con la ricezione delle notifiche perch non sono presenti messaggi corretti nella lista."
                MessageBox.Show(sMessage, "Sample VolaSmsPlus", MessageBoxButtons.OK, MessageBoxIcon.[Error])
                Exit Sub
            End If

            'Invio il messaggio
            If Volasms.GetStatusNotify() = False Then
                sMessage = "Errore durante la ricezione delle notifiche"
                MessageBox.Show(sMessage, "Sample VolaSmsPlus", MessageBoxButtons.OK, MessageBoxIcon.[Error])
                Exit Sub
            End If

            Dim Lista As IEnumerator = Volasms.MessageListToNotify.GetEnumerator()
            Dim ListaMsdn As IEnumerator
            Dim listItem As ListViewItem
            Dim NuovoMessaggio As VolaMessaggio
            Dim NuovoMsdn As VolaMsdn
            lstStatus.Items.Clear()

            'Aggiorno i controlli
            While Lista.MoveNext()
                NuovoMessaggio = DirectCast(Lista.Current, VolaMessaggio)

                ListaMsdn = NuovoMessaggio.listaDestinatari.GetEnumerator()
                While ListaMsdn.MoveNext()
                    listItem = lstStatus.Items.Add(NuovoMessaggio.orderid(0))
                    NuovoMsdn = DirectCast(ListaMsdn.Current, VolaMsdn)
                    listItem.SubItems.Add(NuovoMsdn.gsm)
                    listItem.SubItems.Add(NuovoMsdn.datatimestatus)
                    listItem.SubItems.Add(NuovoMsdn.status.ToString())
                    listItem.SubItems.Add(NuovoMsdn.reasoncode.ToString())
                End While

            End While


        Catch ex As Vola.VolaSmsPlus.VolaException
            MessageBox.Show(("Errore libreria Vola: " & ex.Codice & vbCr & vbLf & vbCr & vbLf) + ex.Messaggio, "Sample VolaSmsPlus", MessageBoxButtons.OK, MessageBoxIcon.Information)
        Catch ex As Exception
            MessageBox.Show(ex.Message, "Sample VolaSmsPlus", MessageBoxButtons.OK, MessageBoxIcon.Information)
        End Try
    End Sub


End Class