using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Vola.VolaSmsPlus;

namespace Sample_VolaSmsPlus
{
    public partial class frmMenu : Form
    {
        public frmMenu()
        {
            InitializeComponent();
        }

        private void CmdEsci_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void CmdSendSMS_Click(object sender, EventArgs e)
        {
            frmSendSMS finestra = new frmSendSMS();
            finestra.ShowDialog();
        }

        private void lnkVola_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            //Apre una shell del browser con il sito di Vola
            System.Diagnostics.Process.Start(Vola.VolaSmsPlus.VolaConstant.LinkHomePage);
        }

        private void lnkSupporto_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            //Apre una shell del browser con il sito di Vola
            System.Diagnostics.Process.Start(Vola.VolaSmsPlus.VolaConstant.LinkSupport);
        }

        private void lnkLicenza_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            try
            {
                //Apre una shell del blocco di testo con la licenza
                string sPathUpdate =  Application.StartupPath + "\\..\\..\\Licenza\\gplv3-it-final.pdf";
                
                System.Diagnostics.Process proc = new System.Diagnostics.Process();
                proc.EnableRaisingEvents = false;
                proc.StartInfo.FileName = sPathUpdate;
                proc.StartInfo.WindowStyle = System.Diagnostics.ProcessWindowStyle.Maximized;
                proc.Start();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, "Sample VolaSmsPlus", MessageBoxButtons.OK, MessageBoxIcon.Information);
            }
        }

        private void btnCredito_Click(object sender, EventArgs e)
        {
            frmCredit finestra = new frmCredit();
            finestra.ShowDialog();

        }

        private void cmdSender_Click(object sender, EventArgs e)
        {
            frmSender finestra = new frmSender();
            finestra.ShowDialog();
        }

        private void CmdStatusSMS_Click(object sender, EventArgs e)
        {
            frmStatusSMS finestra = new frmStatusSMS();
            finestra.ShowDialog();
        }

        private void CmdReciveSMS_Click(object sender, EventArgs e)
        {
            frmReciveSMS finestra = new frmReciveSMS();
            finestra.ShowDialog();
        }
    }
}