Imports Sample_VolaSmsPlus_VB.Vola.VolaSmsPlus

Public Class frmReciveSMS

    Private Sub lnkVola_LinkClicked(ByVal sender As System.Object, ByVal e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) Handles lnkVola.LinkClicked
        'Apre una shell del browser con il sito di Vola
        System.Diagnostics.Process.Start(Vola.VolaSmsPlus.VolaConstant.LinkHomePage)
    End Sub

    Private Sub lnkSupporto_LinkClicked(ByVal sender As System.Object, ByVal e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) Handles lnkSupporto.LinkClicked
        'Apre una shell del browser con il sito di Vola
        System.Diagnostics.Process.Start(Vola.VolaSmsPlus.VolaConstant.LinkSupport)
    End Sub

    Private Sub lnkLicenza_LinkClicked(ByVal sender As System.Object, ByVal e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) Handles lnkLicenza.LinkClicked
        Try
            'Apre una shell del blocco di testo con la licenza
            Dim sPathUpdate As String = Application.StartupPath + "\..\..\Licenza\gplv3-it-final.pdf"

            Dim proc As New System.Diagnostics.Process()
            proc.EnableRaisingEvents = False
            proc.StartInfo.FileName = sPathUpdate
            proc.StartInfo.WindowStyle = System.Diagnostics.ProcessWindowStyle.Maximized
            proc.Start()
        Catch ex As Exception
            MessageBox.Show(ex.Message, "Sample VolaSmsPlus", MessageBoxButtons.OK, MessageBoxIcon.Information)
        End Try
    End Sub

    Private Sub cmdClose_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdClose.Click
        Me.Close()
    End Sub



    Private Sub cmdAggiorna_Click(ByVal sender As Object, ByVal e As EventArgs) Handles cmdAggiorna.Click
        Try
            cmbKey.Items.Clear()
            Dim Volasms As New Vola.VolaSmsPlus.VolaSmsPlus()

            'Inizializzo il componente con le propriet di autenticazione
            Volasms.UserName = txtUsername.Text
            Volasms.Password = txtPassword.Text
            Volasms.VapCode = ""

            'Inizializzo il componente con le propriet di connessione
            Volasms.AutomaticProxy = True
            Volasms.EncryptSSL = True

            'Ottengo la lista delle chiavi di ricezione
            Dim profilo As VolaProfiloUtente = Volasms.GetProfile()

            If profilo.ChiaviRicezione.Length = 0 Then
                MessageBox.Show("Non esistono chiavi di ricezioni attive", "Sample VolaSmsPlus", MessageBoxButtons.OK, MessageBoxIcon.Information)
                Exit Sub
            End If

            'Imposto i controlli
            For iCount As Integer = 0 To profilo.ChiaviRicezione.Length - 1
                cmbKey.Items.Add(profilo.ChiaviRicezione(iCount))
            Next
            cmbKey.SelectedIndex = 0
        Catch ex As Vola.VolaSmsPlus.VolaException
            MessageBox.Show(("Errore libreria Vola: " & ex.Codice & vbCr & vbLf & vbCr & vbLf) + ex.Messaggio, "Sample VolaSmsPlus", MessageBoxButtons.OK, MessageBoxIcon.Information)
        Catch ex As Exception
            MessageBox.Show(ex.Message, "Sample VolaSmsPlus", MessageBoxButtons.OK, MessageBoxIcon.Information)
        End Try

    End Sub

    Private Sub cmdGetText_Click(ByVal sender As Object, ByVal e As EventArgs) Handles cmdGetText.Click
        Try
            If cmbKey.Text.Length = 0 Then
                MessageBox.Show("Selezionare una chiave di ricezione e riprovare", "Sample VolaSmsPlus", MessageBoxButtons.OK, MessageBoxIcon.Information)
                Exit Sub
            End If
            Dim Volasms As New Vola.VolaSmsPlus.VolaSmsPlus()

            'Inizializzo il componente con le propriet di autenticazione
            Volasms.UserName = txtUsername.Text
            Volasms.Password = txtPassword.Text
            Volasms.VapCode = ""

            'Inizializzo il componente con le propriet di connessione
            Volasms.AutomaticProxy = True
            Volasms.EncryptSSL = True

            'Leggo l'autoresponder
            txtAutoresponder.Text = Volasms.GetAutoResponder(cmbKey.Text)

        Catch ex As Vola.VolaSmsPlus.VolaException
            MessageBox.Show(("Errore libreria Vola: " & ex.Codice & vbCr & vbLf & vbCr & vbLf) + ex.Messaggio, "Sample VolaSmsPlus", MessageBoxButtons.OK, MessageBoxIcon.Information)
        Catch ex As Exception
            MessageBox.Show(ex.Message, "Sample VolaSmsPlus", MessageBoxButtons.OK, MessageBoxIcon.Information)
        End Try
    End Sub

    Private Sub cmdSetText_Click(ByVal sender As Object, ByVal e As EventArgs) Handles cmdSetText.Click
        Try
            If cmbKey.Text.Length = 0 Then
                MessageBox.Show("Selezionare una chiave di ricezione e riprovare", "Sample VolaSmsPlus", MessageBoxButtons.OK, MessageBoxIcon.Information)
                Exit Sub
            End If
            Dim Volasms As New Vola.VolaSmsPlus.VolaSmsPlus()

            'Inizializzo il componente con le propriet di autenticazione
            Volasms.UserName = txtUsername.Text
            Volasms.Password = txtPassword.Text
            Volasms.VapCode = ""

            'Inizializzo il componente con le propriet di connessione
            Volasms.AutomaticProxy = True
            Volasms.EncryptSSL = True

            'Imposto l'autoresponder
            If Volasms.SetAutoResponder(cmbKey.Text, txtAutoresponder.Text) Then
                MessageBox.Show("Testo autoresponder attivato correttamente", "Sample VolaSmsPlus", MessageBoxButtons.OK, MessageBoxIcon.Information)
            Else
                MessageBox.Show("Errore durante l'impostazione del testo autoresponder", "Sample VolaSmsPlus", MessageBoxButtons.OK, MessageBoxIcon.Information)
            End If

        Catch ex As Vola.VolaSmsPlus.VolaException
            MessageBox.Show(("Errore libreria Vola: " & ex.Codice & vbCr & vbLf & vbCr & vbLf) + ex.Messaggio, "Sample VolaSmsPlus", MessageBoxButtons.OK, MessageBoxIcon.Information)
        Catch ex As Exception
            MessageBox.Show(ex.Message, "Sample VolaSmsPlus", MessageBoxButtons.OK, MessageBoxIcon.Information)
        End Try
    End Sub

    Private Sub cmdCheck_Click(ByVal sender As Object, ByVal e As EventArgs) Handles cmdCheck.Click
        Try
            If cmbKey.Text.Length = 0 Then
                MessageBox.Show("Selezionare una chiave di ricezione e riprovare", "Sample VolaSmsPlus", MessageBoxButtons.OK, MessageBoxIcon.Information)
                Exit Sub
            End If
            Dim Volasms As New Vola.VolaSmsPlus.VolaSmsPlus()

            'Inizializzo il componente con le propriet di autenticazione
            Volasms.UserName = txtUsername.Text
            Volasms.Password = txtPassword.Text
            Volasms.VapCode = ""

            'Inizializzo il componente con le propriet di connessione
            Volasms.AutomaticProxy = True
            Volasms.EncryptSSL = True

            'Leggo il numero di messaggi da ricevere
            Dim num As Integer = Volasms.CheckIncomingMessages(cmbKey.Text)
            If num > -1 Then
                If num > 0 Then
                    MessageBox.Show("Ci sono " & num.ToString() & " nuovi SMS da leggere", "Sample VolaSmsPlus", MessageBoxButtons.OK, MessageBoxIcon.Information)
                Else
                    MessageBox.Show("Non ci sono nuovi SMS da leggere", "Sample VolaSmsPlus", MessageBoxButtons.OK, MessageBoxIcon.Information)
                End If
            Else
                MessageBox.Show("Errore durante la lattura del numeor dei nuovi SMS da leggere", "Sample VolaSmsPlus", MessageBoxButtons.OK, MessageBoxIcon.Information)
            End If

        Catch ex As Vola.VolaSmsPlus.VolaException
            MessageBox.Show(("Errore libreria Vola: " & ex.Codice & vbCr & vbLf & vbCr & vbLf) + ex.Messaggio, "Sample VolaSmsPlus", MessageBoxButtons.OK, MessageBoxIcon.Information)
        Catch ex As Exception
            MessageBox.Show(ex.Message, "Sample VolaSmsPlus", MessageBoxButtons.OK, MessageBoxIcon.Information)
        End Try
    End Sub

    Private Sub CmdRecive_Click(ByVal sender As Object, ByVal e As EventArgs) Handles CmdRecive.Click
        Try
            If cmbKey.Text.Length = 0 Then
                MessageBox.Show("Selezionare una chiave di ricezione e riprovare", "Sample VolaSmsPlus", MessageBoxButtons.OK, MessageBoxIcon.Information)
                Exit Sub
            End If
            Dim Volasms As New Vola.VolaSmsPlus.VolaSmsPlus()

            'Inizializzo il componente con le propriet di autenticazione
            Volasms.UserName = txtUsername.Text
            Volasms.Password = txtPassword.Text
            Volasms.VapCode = ""

            'Inizializzo il componente con le propriet di connessione
            Volasms.AutomaticProxy = True
            Volasms.EncryptSSL = True

            'Ricevo i messaggi
            Dim lista__1 As ArrayList = Volasms.GetIncomingMessages(cmbKey.Text)

            If lista__1 Is Nothing Then
                MessageBox.Show("Non ci sono nuovi SMS da leggere", "Sample VolaSmsPlus", MessageBoxButtons.OK, MessageBoxIcon.Information)
                Exit Sub
            End If

            'Imposto i controlli
            Dim NuovoMessaggio As VolaMessaggio
            Dim listItem As ListViewItem
            lstReciveSms.Items.Clear()
            Dim Lista__2 As IEnumerator = lista__1.GetEnumerator()
            While Lista__2.MoveNext()
                NuovoMessaggio = DirectCast(Lista__2.Current, VolaMessaggio)
                listItem = lstReciveSms.Items.Add(NuovoMessaggio.mittente)
                listItem.SubItems.Add(NuovoMessaggio.testo)
                listItem.SubItems.Add(NuovoMessaggio.dataora)
                listItem.SubItems.Add(DateTime.Now.ToString())
                listItem.SubItems.Add(NuovoMessaggio.key)

            End While

            'Cancello i messaggi ricevuti dal server
            If Volasms.DelIncomingMessages(cmbKey.Text) Then
                MessageBox.Show("Nuovi messaggi SMS letti correttamente", "Sample VolaSmsPlus", MessageBoxButtons.OK, MessageBoxIcon.Information)
            Else
                MessageBox.Show("Errore durante la lettura dei nuovi messaggi SMS", "Sample VolaSmsPlus", MessageBoxButtons.OK, MessageBoxIcon.Information)
            End If
        Catch ex As Vola.VolaSmsPlus.VolaException
            MessageBox.Show(("Errore libreria Vola: " & ex.Codice & vbCr & vbLf & vbCr & vbLf) + ex.Messaggio, "Sample VolaSmsPlus", MessageBoxButtons.OK, MessageBoxIcon.Information)
        Catch ex As Exception
            MessageBox.Show(ex.Message, "Sample VolaSmsPlus", MessageBoxButtons.OK, MessageBoxIcon.Information)
        End Try
    End Sub

End Class